### Hierarchy

- unknown
  - SendChatMessageRequest

## Index

### Constructors

- constructor

### Methods

- getMessage
- getTradeId
- serializeBinary
- setMessage
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SendChatMessageRequest(): SendChatMessageRequest

- Inherited from jspb.Message.constructor

  #### Returns SendChatMessageRequest

## Methods

### getMessage

- getMessage(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2581

  #### Returns string

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2578

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2584

  #### Returns Uint8Array

### setMessage

- setMessage(value: string): SendChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2582

  #### Parameters

  - ##### value: string

  #### Returns SendChatMessageRequest

### setTradeId

- setTradeId(value: string): SendChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2579

  #### Parameters

  - ##### value: string

  #### Returns SendChatMessageRequest

### toObject

- toObject(includeInstance?: boolean): SendChatMessageRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2585

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SendChatMessageRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2588

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendChatMessageRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendChatMessageRequest, reader: BinaryReader): SendChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2589

  #### Parameters

  - ##### message: SendChatMessageRequest

  - ##### reader: BinaryReader

  #### Returns SendChatMessageRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SendChatMessageRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2587

  #### Parameters

  - ##### message: SendChatMessageRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SendChatMessageRequest ): SendChatMessageRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2586

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendChatMessageRequest

  #### Returns SendChatMessageRequest . AsObject

Generated using TypeDoc